Subject: Re: bug#49178: 28.0.50; make-auto-save-file-name connects to remote

From: Michael Albinus <[email-masked]>
Date: Fri, 25 Jun 2021 14:20:49 +0200

Michael Albinus <[email-masked]> writes:

Hi Sam,

>> The doc for `tramp-allow-unsafe-temporary-files ` says:
>>>>> Whether root-owned auto-save or backup files can be written to "/tmp"
>>
>> 1. the file is not owned by root
>> 2. `auto-save-list-file-prefix` is under my home, not /tmp
>
> Hmm, yes. I've seen in my code that I try to determine the owner of the
> file *prior* all other checks. I guess this can be rearranged, and/or
> simplified by caches.

I've implemented this, pushed to master. Could you, pls, check whether
this improves the situation for you?

Best regards, Michael.